[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.OnHintTimer

Implements an event handler signalled when the timer for a hint display has elapsed.

## Declaration

Source position: forms.pp line 1582

`protected procedure TApplication.OnHintTimer(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object instance (TApplication) for the event notification.

## Description

OnHintTimer is an implementation of the event handler assigned to the OnTimer event handler in the internal timer for the application instance.

It calls StopHintTimer to ensure that the timer is disabled. If the mouse pointer is not within the client area for the current form or control, HideHint is called to hide the hint window. Otherwise, hint information for the control under the mouse pointer is retrieved and ShowHintWindow is called to start a new hint display.

OnHintTimer is called directly from the StartHintTimer method when Internal is set to 0 (or a negative value).